summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-15 12:40:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-15 12:40:57 +0000
commit67eabaf6ce1b4e1248266a5a306c830dc3e28883 (patch)
tree380569cb559cc5fe6f2b8c2414d10bb8ae7455e6 /dev-python
parente0e789e336487c91b82631a6ceb7fbaed37ea42c (diff)
downloadbaldeagleos-repo-67eabaf6ce1b4e1248266a5a306c830dc3e28883.tar.gz
baldeagleos-repo-67eabaf6ce1b4e1248266a5a306c830dc3e28883.tar.xz
baldeagleos-repo-67eabaf6ce1b4e1248266a5a306c830dc3e28883.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Levenshtein/Levenshtein-0.20.6.ebuild45
-rw-r--r--dev-python/Levenshtein/Manifest1
-rw-r--r--dev-python/apispec/Manifest1
-rw-r--r--dev-python/apispec/apispec-6.0.0.ebuild46
-rw-r--r--dev-python/apsw/Manifest4
-rw-r--r--dev-python/apsw/apsw-3.38.5_p1-r1.ebuild54
-rw-r--r--dev-python/apsw/apsw-3.39.2.0.ebuild50
-rw-r--r--dev-python/apsw/apsw-3.39.2.1-r1.ebuild48
-rw-r--r--dev-python/apsw/apsw-3.39.3.0-r1.ebuild56
-rw-r--r--dev-python/apsw/files/apsw-3.39.3.0-test.patch36
-rw-r--r--dev-python/apsw/files/apsw-3.6.20.1-fix_tests.patch11
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.91.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.91.ebuild72
-rw-r--r--dev-python/braintree/Manifest1
-rw-r--r--dev-python/braintree/braintree-4.17.1.ebuild38
-rw-r--r--dev-python/dask/Manifest1
-rw-r--r--dev-python/dask/dask-2022.10.0.ebuild61
-rw-r--r--dev-python/discogs-client/Manifest1
-rw-r--r--dev-python/discogs-client/discogs-client-2.3.15.ebuild35
-rw-r--r--dev-python/docutils-glep/Manifest1
-rw-r--r--dev-python/docutils-glep/docutils-glep-1.4.ebuild28
-rw-r--r--dev-python/gevent/Manifest1
-rw-r--r--dev-python/gevent/gevent-21.12.0.ebuild2
-rw-r--r--dev-python/gevent/gevent-22.10.1.ebuild97
-rw-r--r--dev-python/geventhttpclient/Manifest1
-rw-r--r--dev-python/geventhttpclient/geventhttpclient-2.0.7.ebuild52
-rw-r--r--dev-python/python-debian/Manifest1
-rw-r--r--dev-python/python-debian/python-debian-0.1.48.ebuild48
-rw-r--r--dev-python/snakeoil/snakeoil-0.10.1.ebuild2
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.41.ebuild2
-rw-r--r--dev-python/termcolor/Manifest1
-rw-r--r--dev-python/termcolor/termcolor-1.1.0-r3.ebuild20
34 files changed, 539 insertions, 348 deletions
diff --git a/dev-python/Levenshtein/Levenshtein-0.20.6.ebuild b/dev-python/Levenshtein/Levenshtein-0.20.6.ebuild
new file mode 100644
index 000000000000..8f6f8d58f58a
--- /dev/null
+++ b/dev-python/Levenshtein/Levenshtein-0.20.6.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Functions for fast computation of Levenshtein distance, and edit operations"
+HOMEPAGE="
+ https://pypi.org/project/Levenshtein/
+ https://github.com/maxbachmann/Levenshtein/
+"
+SRC_URI="
+ https://github.com/maxbachmann/Levenshtein/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+DEPEND="
+ >=dev-cpp/rapidfuzz-cpp-1.7.0
+"
+RDEPEND="
+ <dev-python/rapidfuzz-3.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.13.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # sterilize build flags
+ sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/Levenshtein/Manifest b/dev-python/Levenshtein/Manifest
index cc214375066b..5b900cfc9bf6 100644
--- a/dev-python/Levenshtein/Manifest
+++ b/dev-python/Levenshtein/Manifest
@@ -1,2 +1,3 @@
DIST Levenshtein-0.20.5.gh.tar.gz 35126 BLAKE2B b1322abdca5a4cd372bce74ce3f1d5e9f671783797830f0527282284fb1296be6ae9ef3fc68fe1f6867d1b1e9069c1c0c60106bd64f966f1333d087b52a9fe02 SHA512 d3afd384023537de5918e011e16395c7dc69ba61c4823eb64e938810dbf49cbf5379589a4cc13e7dd49f8a2e683498d3768717e52678ee01fb8d1dd55c304307
+DIST Levenshtein-0.20.6.gh.tar.gz 36525 BLAKE2B d0b26f4aec5a985c04c0366c7d36633f172ce0efdb73f75a863cd306403d2d721acff7b2a460a74d19efacb0fd01f3973b93cc6d59695b576f8b11e79752b31e SHA512 4e2d6d7f59e8e2190029d9f5f49ed8407997935076233b79a7c81470a84446851e14f5edbbb42d48a85dbdf0116b40186d896f172f2d740f769a7e7cb9350e7f
DIST python-Levenshtein-0.12.2.tar.gz 50502 BLAKE2B d8992d30639e36aac1b85fada8f5273ed867aa3019208ffeb9972e999dad783d4ee16e1f6988c9306eb80f622b61fcf3a0a937b380c7a5acf50223268ed8de1d SHA512 97eac9d19121758af7620ad3963846e48434ceabb5376a83f28452015adf1a620620bfb53edb1c4f60b0fc8ec2b0faf35a105d7e2a0fc5df7a45fce81ba0dcdb
diff --git a/dev-python/apispec/Manifest b/dev-python/apispec/Manifest
index 240313387eaa..30aca0a94cdd 100644
--- a/dev-python/apispec/Manifest
+++ b/dev-python/apispec/Manifest
@@ -1 +1,2 @@
DIST apispec-5.2.2.gh.tar.gz 71563 BLAKE2B 205c796ccee03000626538147d6cb26a72242ba8ffd6df47b6a7bdb82f0e2ee1d5421cb7da045fc177297acb838e7351ae996225a43c3c7a57a0a0d72e098bb1 SHA512 16c6229619853671403e81edaa50ce87c2575cdb6c606502e08c086aa33b25db0cef0cd455c2c74a55138eaf95667f7ffe9ac8045cbeb415df4b623878a8831c
+DIST apispec-6.0.0.gh.tar.gz 72200 BLAKE2B c65278602c7f05074bf6e4e36a5e7aeaf0eabcc281c387448666f6958eef95a4f4f297055f58eb580169249cc90c1643bcdef0f9281792e4840d719cc921c9f3 SHA512 4c4c34554241fba67d0aad41aa81e5c6e97ee42003da503afa223ff5fbf0046a8b5f3dc3835fe9ae1dc03181f4be5fabae1a7d80871c0a061602d2593315b2db
diff --git a/dev-python/apispec/apispec-6.0.0.ebuild b/dev-python/apispec/apispec-6.0.0.ebuild
new file mode 100644
index 000000000000..6d5d15c7439e
--- /dev/null
+++ b/dev-python/apispec/apispec-6.0.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pluggable API specification generator"
+HOMEPAGE="
+ https://github.com/marshmallow-code/apispec/
+ https://pypi.org/project/apispec/
+"
+SRC_URI="
+ https://github.com/marshmallow-code/apispec/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/bottle[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/marshmallow-3.18.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-issues \
+ dev-python/sphinx_rtd_theme
+
+EPYTEST_DESELECT=(
+ # requires unpackaged prance
+ tests/test_ext_marshmallow_openapi.py::test_openapi_tools_validate_v2
+ tests/test_ext_marshmallow_openapi.py::test_openapi_tools_validate_v3
+)
diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index d41a5c1ea3af..91bc2a68be1d 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -1,5 +1 @@
-DIST apsw-3.38.5-r1.gh.tar.gz 338186 BLAKE2B 145e38d4057be498f85a655ad7a437ec19a895769f58505b4b99093be30e67498faf9572494009db8e20e6700fa5e514605af131d045a4e8bb41587b828f5a88 SHA512 58331ca2db993f87316a55075ee9c440d4bd6e985e8ca11079391bd9cc2a907271ffe5c21d66840e336cd9e6568f6134c8b8fa5d28bbc7c77a1dddd48e8b99b7
-DIST apsw-3.39.2.0.gh.tar.gz 345634 BLAKE2B 433455fdb0dbc6192bbb3ef47cc1d54faa310715b81312b999a84f90de61e5362e4af8d3a705816100381ae920283d84a50fb2e51308227eecf9de5b7166c4ac SHA512 4d3eb68d47cf8114e7823969277d0f42c4091632d4aeab61f66e91e99601b6a5286875515e860e27a2f736c943dad1657f5c47cbdd23a3d1479d3019bfd1c05b
-DIST apsw-3.39.2.1.gh.tar.gz 363389 BLAKE2B 001efa8904c724ec051ac18d80ce55ce646c12ea4a218536494fa0e5804781ccc6c66287575c21553c0a97f4a806a5c7ab671116667d0368c32f7e614fd32a2f SHA512 10f08320157be96ad409472b50480b1b1875ec88ccb00690851aaef5864aa2bfc8000fce10ef0f00b820cfd5cebad950f0e7bba432018524cb292a6738ff30e8
-DIST apsw-3.39.3.0.gh.tar.gz 364874 BLAKE2B e23ca9ce125b2097f2e859d19053405070a3a09e061d27a175d4a3b721c4b68ac220b0522ca4e49075b937ebafdef8ba0cc5b0adc1ea389ee7c0c195b9f0850a SHA512 f9977f4112f2a7b11c0b0ab3576eada7b816dd69c518a637fc0152ba8fc4d12330febdd91abaf00af9e26049041024b590a4d60a9f055bf49c3301c92a68b539
DIST apsw-3.39.4.0.gh.tar.gz 371139 BLAKE2B 223736e45b581f96cfcf4cd42f3aa278c0c3cc6b49188ac1979cc30835635f0f935eac8231d7ba0e1ae50f169095e672fe33c7938e6dbf94a7b82fc44d126002 SHA512 c09b367fa5825300c4a4fb82916077208ebd5741f9be4814d33032349eacdd6c7d528430e6d85615c56aaea30995c2575bfbe02876dc8e95e2c337a811df07e7
diff --git a/dev-python/apsw/apsw-3.38.5_p1-r1.ebuild b/dev-python/apsw/apsw-3.38.5_p1-r1.ebuild
deleted file mode 100644
index be250f335464..000000000000
--- a/dev-python/apsw/apsw-3.38.5_p1-r1.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-MY_PV=${PV/_p/-r}
-MY_P=${PN}-${MY_PV}
-
-DESCRIPTION="APSW - Another Python SQLite Wrapper"
-HOMEPAGE="
- https://github.com/rogerbinns/apsw/
- https://pypi.org/project/apsw/
-"
-SRC_URI="
- https://github.com/rogerbinns/apsw/archive/${MY_PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~ppc64 x86"
-IUSE="doc"
-
-DEPEND="
- >=dev-db/sqlite-${PV%_p*}:3
-"
-RDEPEND="
- ${DEPEND}
-"
-
-PATCHES=(
- "${FILESDIR}/${PN}-3.6.20.1-fix_tests.patch"
-)
-
-python_compile() {
- # Needed for e.g. bug #851741
- distutils-r1_python_compile --enable=load_extension
-}
-
-python_test() {
- esetup.py build_test_extension
- "${EPYTHON}" tests.py -v || die "Tests failed under ${EPYTHON}"
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( doc/. )
- distutils-r1_python_install_all
-}
diff --git a/dev-python/apsw/apsw-3.39.2.0.ebuild b/dev-python/apsw/apsw-3.39.2.0.ebuild
deleted file mode 100644
index 1747dbe45703..000000000000
--- a/dev-python/apsw/apsw-3.39.2.0.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="APSW - Another Python SQLite Wrapper"
-HOMEPAGE="
- https://github.com/rogerbinns/apsw/
- https://pypi.org/project/apsw/
-"
-SRC_URI="
- https://github.com/rogerbinns/apsw/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~ppc64 x86"
-IUSE="doc"
-
-DEPEND="
- >=dev-db/sqlite-${PV%.*}:3
-"
-RDEPEND="
- ${DEPEND}
-"
-
-PATCHES=(
- "${FILESDIR}/${PN}-3.6.20.1-fix_tests.patch"
-)
-
-python_compile() {
- # Needed for e.g. bug #851741
- distutils-r1_python_compile --enable=load_extension
-}
-
-python_test() {
- esetup.py build_test_extension
- "${EPYTHON}" tests.py -v || die "Tests failed under ${EPYTHON}"
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( doc/. )
- distutils-r1_python_install_all
-}
diff --git a/dev-python/apsw/apsw-3.39.2.1-r1.ebuild b/dev-python/apsw/apsw-3.39.2.1-r1.ebuild
deleted file mode 100644
index 651e9fe9d108..000000000000
--- a/dev-python/apsw/apsw-3.39.2.1-r1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="APSW - Another Python SQLite Wrapper"
-HOMEPAGE="
- https://github.com/rogerbinns/apsw/
- https://pypi.org/project/apsw/
-"
-SRC_URI="
- https://github.com/rogerbinns/apsw/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
-IUSE="doc"
-
-DEPEND="
- >=dev-db/sqlite-${PV%.*}:3
-"
-RDEPEND="
- ${DEPEND}
-"
-
-src_configure() {
- cat >> setup.cfg <<-EOF || die
- [build_ext]
- enable=load_extension,column_metadata
- EOF
-}
-
-python_test() {
- esetup.py build_test_extension
- "${EPYTHON}" apsw/tests.py -v || die "Tests failed under ${EPYTHON}"
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( doc/. )
- distutils-r1_python_install_all
-}
diff --git a/dev-python/apsw/apsw-3.39.3.0-r1.ebuild b/dev-python/apsw/apsw-3.39.3.0-r1.ebuild
deleted file mode 100644
index 2948520c9264..000000000000
--- a/dev-python/apsw/apsw-3.39.3.0-r1.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="APSW - Another Python SQLite Wrapper"
-HOMEPAGE="
- https://github.com/rogerbinns/apsw/
- https://pypi.org/project/apsw/
-"
-SRC_URI="
- https://github.com/rogerbinns/apsw/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="ZLIB"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
-IUSE="doc"
-
-DEPEND="
- >=dev-db/sqlite-${PV%.*}:3
-"
-RDEPEND="
- ${DEPEND}
-"
-
-PATCHES=(
- # upstream backport for test problem
- # https://github.com/rogerbinns/apsw/commit/ce1604f15544cffd5403764f6508bbe63726b5e3
- "${FILESDIR}"/${P}-test.patch
-)
-
-src_configure() {
- cat >> setup.cfg <<-EOF || die
- [build_ext]
- enable=load_extension
- use_system_sqlite_config=True
- EOF
-}
-
-python_test() {
- esetup.py build_test_extension
- cd "${T}" || die
- "${EPYTHON}" -m apsw.tests -v || die "Tests failed under ${EPYTHON}"
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( doc/. )
- distutils-r1_python_install_all
-}
diff --git a/dev-python/apsw/files/apsw-3.39.3.0-test.patch b/dev-python/apsw/files/apsw-3.39.3.0-test.patch
deleted file mode 100644
index 764fe4844bca..000000000000
--- a/dev-python/apsw/files/apsw-3.39.3.0-test.patch
+++ /dev/null
@@ -1,36 +0,0 @@
-From a28713a9ebcc8d393beb270ca9fd5bf3b86a52bb Mon Sep 17 00:00:00 2001
-From: Roger Binns <rogerb@rogerbinns.com>
-Date: Thu, 22 Sep 2022 08:33:13 -0700
-Subject: [PATCH] Ensure uncompleted statement is present
-
-It turns out that under some circumstances Python hasattr
-is actually doing a getattr. That means an incomplete statement
-needs to be present for the hasattr to not raise an exception.
-
-See #370
----
- apsw/tests.py | 3 ++-
- 1 file changed, 2 insertions(+), 1 deletion(-)
-
-diff --git a/apsw/tests.py b/apsw/tests.py
-index bdaf70d..e9ad3c0 100644
---- a/apsw/tests.py
-+++ b/apsw/tests.py
-@@ -772,6 +772,7 @@ class APSW(unittest.TestCase):
- c.execute("drop table foo; create table foo (%s)" % (", ".join(["[%s] %s" % (n, t) for n, t in cols]), ))
- c.execute("insert into foo([x a space]) values(1)")
- c.execute("create temp table two(fred banana); insert into two values(7); create temp view three as select fred as [a space] from two")
-+ c.execute("select 3") # see issue #370
- has_full=any(o=="ENABLE_COLUMN_METADATA" or o.startswith("ENABLE_COLUMN_METADATA=") for o in apsw.compile_options) if apsw.using_amalgamation else hasattr(c, "description_full")
- for row in c.execute("select * from foo"):
- self.assertEqual(cols, c.getdescription())
-@@ -8835,4 +8836,4 @@ if __name__ == '__main__':
- del re
- gc.collect()
-
-- exit(exitcode)
-\ No newline at end of file
-+ exit(exitcode)
---
-2.37.3
-
diff --git a/dev-python/apsw/files/apsw-3.6.20.1-fix_tests.patch b/dev-python/apsw/files/apsw-3.6.20.1-fix_tests.patch
deleted file mode 100644
index e252bf3f26a6..000000000000
--- a/dev-python/apsw/files/apsw-3.6.20.1-fix_tests.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/tests.py
-+++ b/tests.py
-@@ -5480,7 +5480,7 @@
- testnasty()
-
- # What happens if db cannot be opened?
-- s.process_args(args=["/"])
-+ s.process_args(args=["src"])
- reset()
- cmd("select * from sqlite_master;\n.bail on\nselect 3;\n")
- self.assertRaises(apsw.CantOpenError, s.cmdloop)
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 40f082d353ad..938bdeed6fc5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.24.80.gh.tar.gz 539716 BLAKE2B ccbbfa84e4e2274eb0275b9b2dcc0a4a78b1
DIST boto3-1.24.88.gh.tar.gz 543896 BLAKE2B 9dd2a18e3fb8d0a9f3a3a1fd7d0cceb491765690f99c7bd4200f37c66cbdb1e86dcdcdd09669d3175b97e762e6faabac3a2e5cba49136f42cba459e45f3ab67f SHA512 676528ca180c23834d1666b69292754e551a339914362da2708ff3f937c2eb04fe3b3dd1d4c6960eb8f5f7f58b1e0bcf13b1f52cc16a7c8d3bd025e9ea4ee109
DIST boto3-1.24.89.gh.tar.gz 544293 BLAKE2B 53854b91c1c4c677eee743776a67e552bd2e11947839c442d81c1983930d6ff16d6bc5483c29b9a14b99a7cef09f3b9cd74cea9edb1cb76ff5458be3c9743164 SHA512 ef3b503b1313b8b7d84f5e4afdbe4e3d9e95ce3fbba81d400191295c71d4237e764f87ab6ebf2b29536248a520ab1273bee43bedd746596224f7400ce04c2c02
DIST boto3-1.24.90.gh.tar.gz 545802 BLAKE2B 04148b878266a9d541a6fe8a4b4e8088fa2af11fd88b0fd9bac064bf493a9e787958d61c721254c1cf72edea72d761cd3583370f587c925f70c099027e94f72c SHA512 92c9da4559fdef7a7ee68eda9f1e9f70d652ec383471b9d1fafcf260b1456e84b7cc86347c3a0c44990f38aa87632885b1df65aafdae3c7f5948c0223ffe6981
+DIST boto3-1.24.91.gh.tar.gz 545914 BLAKE2B 763b39653d7de6ce27bb2a429ae0856a077f490e2c61b648ad89bde3c79731578272ffb558479517fd8a5235c41280413812b91f22604e6671cc1c941459fc90 SHA512 5b86a1518e8e6a9972d62dbcd8cd2f784d03e9e9fe7dc76ae4fc28b7c5151b277774bf01fce0473a3ff88af736132c389df5f7ae33c54f895b4c447e8cc19135
diff --git a/dev-python/boto3/boto3-1.24.91.ebuild b/dev-python/boto3/boto3-1.24.91.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.91.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 997bf1a786db..2eeb4fdb35c0 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.27.80.gh.tar.gz 9643079 BLAKE2B feec0b34c39b358eaff7f947fe83fc6d
DIST botocore-1.27.88.gh.tar.gz 9703393 BLAKE2B b7152546ffd44fccc3607ce4fb0df586e192a68431d68f40063d6397d6005507118c49197e3bb0215ccc4ce6b075a2e95919dc0b2352da3562ba8b5675274ca4 SHA512 0cca62a8e357c8c345afa2ebfa8fa931aa75e323b93ecd63857db05fac7fcd83118012ee7f93921a31895721189995af3179f6ae62ee61cef68eda84edc88132
DIST botocore-1.27.89.gh.tar.gz 9704257 BLAKE2B f7c0f34d93940aea72337c1cfb229ba79b06c15c99c7c1b719fcad9c2131cc98e084a14f8988e77e0627fac994bd4bfe539bcbcedd318b9bc861311772a5e99b SHA512 ddebfa73a4fee423ee7ead3e7d28ff9e8160f8459ea7cc341b1194759894aee24b07cec25030dedc4570416146d96159f532b7ec2e22d5279e4390bef3330a13
DIST botocore-1.27.90.gh.tar.gz 9712235 BLAKE2B 3140dd97ed33b368bf605ff77e15ada2b0ace21d8816f7ea0b614f822a4f6ab1fe7640c52c08087cc3d12a8a6a2e15cde0895eb65d643441398b743800ed8296 SHA512 4ba1d0cc82ee0f0d77da2613b8dae20aeeb49d0ce6c87c074800e4887fa341948292a4fb9eec605c5a3f9ed9ff7773e4c8b46ff286d8b2d9588b125f5d3fcac9
+DIST botocore-1.27.91.gh.tar.gz 9712617 BLAKE2B 3317a45a297e1903d43d608760fb9e12c68d132f979bf4c76d73592aaa42a5f2d29a8c20bfa1f868365e962573bfa16986858dca2078b1fa797c58e71ab9a642 SHA512 0e2895cded36c3a9583c38ad018683556e26faa066d930c37a754798c31f0b510a86362357c66d13fbc141d04c30ae4f3d518ec46c95a1e37ed0e9912ab96a1e
diff --git a/dev-python/botocore/botocore-1.27.91.ebuild b/dev-python/botocore/botocore-1.27.91.ebuild
new file mode 100644
index 000000000000..ba4830d69cb3
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.91.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/braintree/Manifest b/dev-python/braintree/Manifest
index 5528963aaa3f..0ad21491710c 100644
--- a/dev-python/braintree/Manifest
+++ b/dev-python/braintree/Manifest
@@ -1,3 +1,4 @@
DIST braintree-4.15.2.gh.tar.gz 207089 BLAKE2B 5ed62e341c05e254cf3bec47f91704670bb57873be995352ce1e427e8075aee6193e11cbd863074b1ae39ddbf2c1a77f7c0207ffa9c8b7ca9335e2beeed42f29 SHA512 324823a078bc4068577793b169dd6b3d67e05d77850cebfe09602c0f6c3626ef1098f612c0ddfb7cc72b4b734d7319944c30297658f77edaf906334d27393f13
DIST braintree_python-4.16.0.gh.tar.gz 211927 BLAKE2B 335215a538f00b04bda607887c582c1f55fcf3918f5c662f435791889cfc4f813a1e4362056bd8c5e4d907a77cf2eab11463bf1b5b839ce615350fa1614adad8 SHA512 6eaed1dec96032f3522e59e66c64ab674324518b7086ed9aefd2cdd5ae70e2d3e114a2e422f3edcae47dd95a5f332182dd65800cacb20bcbdf7e01a1e96498bb
DIST braintree_python-4.17.0.gh.tar.gz 212187 BLAKE2B d35c9713c3a022cd325d0c8d2d16e7906678668230fcf061a2d78800b4e2ecff6e4c9d0894e2686206f81bff3d9f29431656178aea3303ec02ec77a56cbff8e9 SHA512 2f5029040f9f02a8426a939e3d5e19ce2b26c9326a793fcdc841a4aecfe9044fef0f4fd4e81490e83e0cb7f23e0cc0c104b23871367ee1c64272a97ba27fa755
+DIST braintree_python-4.17.1.gh.tar.gz 213195 BLAKE2B 2ca1176d3fcdf670ced8bc9de4c2c7140823ec4e1f34acc8235003dd57d16b8e5b411756e1c52da68fc5dcc6009333317952ab246d51c3da71b0a1bed81ea8d1 SHA512 a6835f50451d6e914be5c691920f07fdf804c98580625bfc6984b83c5bf9acffe7b8005d6ffc201e8c0826b65ba4549a5159fde9988da57d08626bb226a35feb
diff --git a/dev-python/braintree/braintree-4.17.1.ebuild b/dev-python/braintree/braintree-4.17.1.ebuild
new file mode 100644
index 000000000000..8c0cbb0fcfd5
--- /dev/null
+++ b/dev-python/braintree/braintree-4.17.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=braintree_python-${PV}
+DESCRIPTION="Braintree Python Library"
+HOMEPAGE="
+ https://developer.paypal.com/braintree/docs/reference/overview/
+ https://github.com/braintree/braintree_python/
+ https://pypi.org/project/braintree/
+"
+SRC_URI="
+ https://github.com/braintree/braintree_python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-0.11.1[${PYTHON_USEDEP}]
+"
+
+DOCS=( README.md )
+
+distutils_enable_tests nose
+
+python_test() {
+ nosetests -v tests/unit || die
+}
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index 565185881697..dee429f6f624 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,3 +1,4 @@
+DIST dask-2022.10.0.gh.tar.gz 8778168 BLAKE2B d352f574cbf478747a95896c8b074c40c9bb413ccc6cd7b12d344b0dc7dc89bdc0613bf5b142e000b85f1c2a5a02e6eb8ac00b6db459a8580927cb4d7c54cf46 SHA512 d35ee0c710f4cccbdddca028a33f3f855ea26f94bebae1dd2a8c761cd0d116324daa03fd7fb5a4cb57d040f549f922b7373a0c089c9667b4da25fbb3b83efa02
DIST dask-2022.9.0.gh.tar.gz 8762083 BLAKE2B 60c7a37124b61b49fc06a754b5842695fd63d234e087ec44a40793aeb330034e0d5e3caaedd239fd498a9b01c2bc450f62cdc22848bfd654bfdab6a07d9be7de SHA512 a88f71b9e8cdc69ce3a4babbc2434f830110df284d56eec37cadb6b81add3cd5f2e751ea5e9b390d112d16ee0952c296368851889fec202e3601c2fcf8f52a97
DIST dask-2022.9.1.gh.tar.gz 8766675 BLAKE2B da4735dd860b96d691bbe3782ce04fb4e53a265984dc52593ecd1cbd1a1e536ad2677998e01bcfa99d783255ce053a44c4ed4cb0ce83128520755c20530bca3f SHA512 944d333bbe2f946b85173d289e287737816359a959b61d9bf2b9ef0f75173482a2912355fd71f8a8aa29e58f5b66a91909dc53c1cd269ab2bc569bad62a67f6c
DIST dask-2022.9.2.gh.tar.gz 8767605 BLAKE2B ad0d9b7f849f984316768f1d1983e13177c3263b6803ce6d861b15b8d88c21c7dce4dae917ca28f8688797573503c6fd518816ca7d993d67c56172ef2adc73ec SHA512 467411933432821413f8440e6434b18c2bf76c616a92ec990bc71c141ea2cab235c1330e888ed77f429b6d00d588042928cd3b06d9b693d51302cf8c114700dd
diff --git a/dev-python/dask/dask-2022.10.0.ebuild b/dev-python/dask/dask-2022.10.0.ebuild
new file mode 100644
index 000000000000..f4df7681b488
--- /dev/null
+++ b/dev-python/dask/dask-2022.10.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="
+ https://www.dask.org/
+ https://github.com/dask/dask/
+ https://pypi.org/project/dask/
+"
+SRC_URI="
+ https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/cloudpickle-0.2.2[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.15.1[${PYTHON_USEDEP}]
+ >=dev-python/pandas-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/partd-0.3.10[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.8.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toolz[${PYTHON_USEDEP}]
+ test? (
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/numexpr[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # another test relying on -Werror
+ "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
+ # TODO
+ dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
+ dask/tests/test_config.py::test__get_paths
+ dask/array/tests/test_linalg.py::test_solve_assume_a
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>0-float-5-1-True]"
+ "dask/dataframe/tests/test_dataframe.py::test_repartition_npartitions[<lambda>1-float-5-1-True]"
+)
+
+python_test() {
+ epytest -p no:flaky -m "not network"
+}
diff --git a/dev-python/discogs-client/Manifest b/dev-python/discogs-client/Manifest
index 9e78eb18cfdd..a98a8521d701 100644
--- a/dev-python/discogs-client/Manifest
+++ b/dev-python/discogs-client/Manifest
@@ -1,3 +1,2 @@
-DIST python3-discogs-client-2.3.15.tar.gz 35059 BLAKE2B fe2b577b4810480fcad8a76c8f961809baa5b217c0d01c262f4a6a0a2993b2a6d2515edf90f276f7a104f6bdf0a1edb0f439c69e51507e3c0cf1ab927049e7f7 SHA512 8da52cc6c125cc4b3c5fb93626075ba32046798f71f72cc9f685fdf10a92a813fbd74b35625994cd4c6b7e394e36265ce01a33b52b607bf498a5f11f68d82ad9
DIST python3-discogs-client-2.4.tar.gz 35724 BLAKE2B 98976cb4bd52c459ab63e5d178bc0a7eb2c6ee56ff866d2248b326423a9b7f5187ed348d3cfa67d2aa38b1f4cc107367351e40408b9f577ecec27f28724d9be3 SHA512 96a3f1e653c95751b790f58dae2efd7e33a1af581a945327704a31df96e99dad543ca978c4e42f6f05824f6f74ccfcf7fe5e59e46c82df1634a655581d833442
DIST python3-discogs-client-2.5.tar.gz 36003 BLAKE2B e2350cc2eed986566be79ce3b529885113739da6b42f77dd405456e0552a68d51d1945f3ba569e05b9afc6304233a8b5ebe7c9f4f8105d62d9d159da7a0ff3ec SHA512 d6c90d6f0b472cdeda2a0d019386e3ab609ff46a82c3eefcd9b69162e1f94b34d58916dfb2364afb8cd9def0bf11e60cbed2e2c2dbb03206ea9a0faf141aa4ec
diff --git a/dev-python/discogs-client/discogs-client-2.3.15.ebuild b/dev-python/discogs-client/discogs-client-2.3.15.ebuild
deleted file mode 100644
index 20fae979fbd2..000000000000
--- a/dev-python/discogs-client/discogs-client-2.3.15.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-if [[ ${PV} == 9999 ]]; then
- EGIT_REPO_URI="https://github.com/joalla/discogs_client.git"
- inherit git-r3
-else
- SRC_URI="mirror://pypi/p/python3-${PN}/python3-${P}.tar.gz"
- KEYWORDS="amd64 ~x86"
- S="${WORKDIR}/python3-${P}"
-fi
-
-DESCRIPTION="Continuation of the official Python API client for Discogs"
-HOMEPAGE="
- https://github.com/joalla/discogs_client/
- https://pypi.org/project/python3-discogs-client/
-"
-
-LICENSE="BSD-2"
-SLOT="0"
-
-RDEPEND="
- dev-python/requests[${PYTHON_USEDEP}]
- dev-python/oauthlib[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests unittest
diff --git a/dev-python/docutils-glep/Manifest b/dev-python/docutils-glep/Manifest
index 57621bab6648..2a8b170858d9 100644
--- a/dev-python/docutils-glep/Manifest
+++ b/dev-python/docutils-glep/Manifest
@@ -1,2 +1 @@
-DIST docutils-glep-1.4.gh.tar.gz 6758 BLAKE2B 92b519022df5d8ac90b7eae15a08e0f0738badcc7018d8d621f9789ddfa97a0ad3989a39b65068ebd1e5ad90b2ddcbd6c4e953de06562391b12eaefebd60dd7a SHA512 601da0d0f7c4fdb2976755c8ca57e07b55b8d87e99735378a3dd5b1b43099d0fe2bb8317265d23e61b536b907901e75a3b527e16125dfaf2ccb178452e411af3
DIST docutils-glep-1.5.gh.tar.gz 6826 BLAKE2B 09decf04f7978c86a2f7161ebfd858f6ff59450d8a22d22963fdea36bb595615337b2c7a565794d86128764512b6e3dda3a7db7124905c74c186513965117da3 SHA512 2d740b02a46265e27b3d0b82a8424bd66f875fdc3f9fb6c1596522e2924bb6484e028ad060af62e4f5747b4046fe850e3d7fdcc48e4bd0bf1c6e2851599dbbc8
diff --git a/dev-python/docutils-glep/docutils-glep-1.4.ebuild b/dev-python/docutils-glep/docutils-glep-1.4.ebuild
deleted file mode 100644
index 0e32f0b21e27..000000000000
--- a/dev-python/docutils-glep/docutils-glep-1.4.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=flit
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Gentoo GLEP support for docutils"
-HOMEPAGE="
- https://github.com/projg2/docutils-glep/
- https://pypi.org/project/docutils-glep/
-"
-SRC_URI="
- https://github.com/projg2/docutils-glep/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="public-domain"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-
-RDEPEND="
- >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
-"
diff --git a/dev-python/gevent/Manifest b/dev-python/gevent/Manifest
index 7764acadc22c..c690821f867f 100644
--- a/dev-python/gevent/Manifest
+++ b/dev-python/gevent/Manifest
@@ -1 +1,2 @@
DIST gevent-21.12.0.tar.gz 6201851 BLAKE2B 8c02f42d6024e912e51754df876d4f4895acdf466f2400e9fdca69ad5c7c77df7ee05f3e4c2c1e1d5731c282b62d5c940d9ca6396c27d6fe6e8a0ec13013591c SHA512 805ddb475281b6c4c46cdf5a714915b6612512745121e7b153f3d33f3460135efa4994e0ff1601402d4f7b80d285cbfdc0d5d93799fbeb8ddbf2a52888cd91ad
+DIST gevent-22.10.1.tar.gz 6543407 BLAKE2B 5686a9b03d74b756b4b3d387eec5318a0edfa1de46d7c19266175111b02ecab85bc75f7b777cf708dcae58a04c564c2ec0488d19f8a8128563d38dc8b6f0606c SHA512 b91638a0e36e1e6fdc15886b78586660046134c18786bbbf2498b940abddad18e4200e0bfc759afd40b5d8304c2bb8ae131c39f7cf84c3b675a2f3d51ed261c6
diff --git a/dev-python/gevent/gevent-21.12.0.ebuild b/dev-python/gevent/gevent-21.12.0.ebuild
index 76f05b22c3b6..69f8f2800724 100644
--- a/dev-python/gevent/gevent-21.12.0.ebuild
+++ b/dev-python/gevent/gevent-21.12.0.ebuild
@@ -4,7 +4,7 @@
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_COMPAT=( python3_{7,8,9,10} )
PYTHON_REQ_USE="ssl(+),threads(+)"
inherit distutils-r1 flag-o-matic
diff --git a/dev-python/gevent/gevent-22.10.1.ebuild b/dev-python/gevent/gevent-22.10.1.ebuild
new file mode 100644
index 000000000000..b16d8db1f086
--- /dev/null
+++ b/dev-python/gevent/gevent-22.10.1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="
+ https://www.gevent.org/
+ https://github.com/gevent/gevent/
+ https://pypi.org/project/gevent/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ >=dev-libs/libev-4.31:=
+ dev-libs/libuv:=
+ >=net-dns/c-ares-1.12:=
+"
+RDEPEND="${DEPEND}
+ virtual/python-greenlet[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dnspython[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc
+
+python_prepare_all() {
+ export GEVENTSETUP_EMBED="false"
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Just in case.
+ export GEVENTTEST_USE_RESOURCES=-network
+
+ cd src/gevent/tests || die
+
+ # Tests which need network but aren't marked as such
+ echo "test__getaddrinfo_import.py" >> tests_that_dont_use_resolver.txt || die
+ echo "test_socketqcqqrwns.py" >> tests_that_dont_use_resolver.txt || die
+
+ # Test hangs (testPeek)
+ echo "test_socket.py" >> tests_that_dont_use_resolver.txt || die
+
+ # TODO: figure out how to make them work and not hang
+ #GEVENT_RESOLVER=ares \
+ # "${EPYTHON}" -m gevent.tests \
+ # --verbose \
+ # -uall,-network \
+ # --config known_failures.py \
+ # --ignore tests_that_dont_use_resolver.txt || die
+ GEVENT_RESOLVER=dnspython \
+ "${EPYTHON}" -m gevent.tests \
+ --verbose \
+ -uall,-network \
+ --config known_failures.py \
+ --ignore tests_that_dont_use_resolver.txt || die
+ GEVENT_RESOLVER=thread \
+ "${EPYTHON}" -m gevent.tests \
+ --verbose \
+ -uall,-network \
+ --config known_failures.py \
+ --ignore tests_that_dont_use_resolver.txt || die
+ GEVENT_FILE=thread \
+ "${EPYTHON}" -m gevent.tests \
+ --verbose \
+ -uall,-network \
+ --config known_failures.py \
+ test__*subprocess*.py || die
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS README.rst )
+ use examples && dodoc -r examples
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/geventhttpclient/Manifest b/dev-python/geventhttpclient/Manifest
index 95269ee86af4..8d2913b4593c 100644
--- a/dev-python/geventhttpclient/Manifest
+++ b/dev-python/geventhttpclient/Manifest
@@ -1 +1,2 @@
DIST geventhttpclient-2.0.2.tar.gz 73821 BLAKE2B 6e12c0a7eabf2d15540192e161f27e4ef5aa771ac8b60deb00c0dbfd804e5d81f729609649c88b9b8cd51125b06afaf3d31367896ada339731ba3606ef64edda SHA512 d22453bc4fef8d9ad3b98a137d74df1647c69c594a8fa4b49848e71ca472373e44c70e3ed3798d73aca9089495cff1b5f888d1b1e39b1da60ee9052935b7b0a1
+DIST geventhttpclient-2.0.7.tar.gz 75969 BLAKE2B f749e42ccfd981cc67c1692695454f410708ca75f24b2ae6408556bda07d1e45f367421fbddc203f46ac82daf539d192fdab16245a20b6f3f883478c8b8e354f SHA512 7570b297c13a28761ec639721ecb44fdcac46141167e67ceac4e632058458b62acef0513c794c80e44980747807a175e7a39e6c5ff272be3ceddbeca9f629114
diff --git a/dev-python/geventhttpclient/geventhttpclient-2.0.7.ebuild b/dev-python/geventhttpclient/geventhttpclient-2.0.7.ebuild
new file mode 100644
index 000000000000..7311df75b222
--- /dev/null
+++ b/dev-python/geventhttpclient/geventhttpclient-2.0.7.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A high performance, concurrent HTTP client library for Python using gevent"
+HOMEPAGE="
+ https://github.com/geventhttpclient/geventhttpclient/
+ https://pypi.org/project/geventhttpclient/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/gevent[events(+),${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Avoid ModuleNotFoundError for tests we skip later
+ sed -e '/^import dpkt.ssl/d' -i src/geventhttpclient/tests/test_ssl.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # These SNI tests require dpkt which is not in the tree
+ src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_host_in_ssl
+ src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_header_in_ssl
+ src/geventhttpclient/tests/test_ssl.py::test_explicit_sni_in_ssl
+ )
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # Skip tests which require internet access
+ epytest -m "not online"
+}
diff --git a/dev-python/python-debian/Manifest b/dev-python/python-debian/Manifest
index 61789bc93890..13714ea5f0aa 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1 +1,2 @@
DIST python-debian_0.1.47.tar.xz 189036 BLAKE2B b929b3785064560bbad202d95d88fa330a9fb34e0dc4338865ce17910c9ff986696778dba847097fa1ccbb04ad6b298a5b84e4a550e038ca754a598d78f7cbef SHA512 fdf37476d4658b790ea4bbb43fca43a627cc569881f9e45666eae4221ddb71d57eba7d009e06e8e2864cd41c7718b9bf41e319f6fc0785549b6171de981b6ed7
+DIST python-debian_0.1.48.tar.xz 189096 BLAKE2B 3b273f1e90069e00a93aeb9c2333d20d479b057613c93325344f42a73230bd569160a487a25d1c7f90f7f00f42feeab55c9850cf44121e1ca423cd1f40a991a4 SHA512 85bd12ce8ade9b43d502bd60ac1ac826d9a81b5bf32262ff9377b4ba5a1c95306683098d10a64fd6a1331ed7eb44a7fb09ad90f0ee6c885d69ea16f85c4eda59
diff --git a/dev-python/python-debian/python-debian-0.1.48.ebuild b/dev-python/python-debian/python-debian-0.1.48.ebuild
new file mode 100644
index 000000000000..81d123e3d2b6
--- /dev/null
+++ b/dev-python/python-debian/python-debian-0.1.48.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2011-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="
+ https://salsa.debian.org/python-debian-team/python-debian/
+ https://pypi.org/project/python-debian/
+"
+SRC_URI="mirror://debian/pool/main/${PN::1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ app-arch/dpkg
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # See debian/rules.
+ sed -e "s/__CHANGELOG_VERSION__/${PV}/" lib/debian/_version.py.in \
+ > lib/debian/_version.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # See debian/rules.
+ "${EPYTHON}" lib/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+ eunittest lib
+}
diff --git a/dev-python/snakeoil/snakeoil-0.10.1.ebuild b/dev-python/snakeoil/snakeoil-0.10.1.ebuild
index 1a4619c53c2f..4c827ef1ffe8 100644
--- a/dev-python/snakeoil/snakeoil-0.10.1.ebuild
+++ b/dev-python/snakeoil/snakeoil-0.10.1.ebuild
@@ -12,7 +12,7 @@ if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="https://github.com/pkgcore/snakeoil.git"
inherit git-r3
else
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
fi
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.41.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.41.ebuild
index 871cc214aec5..4cb3b32795e1 100644
--- a/dev-python/sqlalchemy/sqlalchemy-1.4.41.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.41.ebuild
@@ -23,7 +23,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="examples +sqlite test"
BDEPEND="
diff --git a/dev-python/termcolor/Manifest b/dev-python/termcolor/Manifest
index 9b8c6b6de279..74da7d4c81fb 100644
--- a/dev-python/termcolor/Manifest
+++ b/dev-python/termcolor/Manifest
@@ -1,3 +1,2 @@
-DIST termcolor-1.1.0.tar.gz 3912 BLAKE2B 8d661a708eff02894b6e390befddaef1c9d14f78f0c7d10ac332fa149f7892109f77bd279c9a488a3aa4070569c92f0ce847e3911d419ff549a10555b34534fb SHA512 4bd06bf4405a9ef6c005cd4d159ef602f7fc7fccb3e57586da1187c402f4d0b9051ef930cae423065c51ff4be8a22ceae556a61a6b3c8c519d623c066c340b53
DIST termcolor-2.0.0.tar.gz 9701 BLAKE2B 3c1d81b21788c07870724ca162828037eee11b2c472fbe4cf9c60583155a0eb665c59bbab824882038f453d539b2c3c8518b51e373deb9755205b41b517d8ed3 SHA512 3b5f937c94ba3c0eac04073851fa53123262b3de4e081635069ebd2115b51cf37f88bf129f19d356886487cbeda381921022e52b560b7cbc8a9d935bc902dc6e
DIST termcolor-2.0.1.tar.gz 9693 BLAKE2B 68592597da70957bd3f03a9a76e546ab17f7c437d00aca53325a617b02c5600679c9912c0ca8d9f7ade03a042cd657e86b1e12a588ec1eeafdfa57f3f5f16372 SHA512 e49f05e587fb420aa373d1644d66e4832a701385fc1da85470fa0d811770f73908ca139e1c1e9cb968cbc74285b038833f371854edc6e20bc22059b31ef1a1ed
diff --git a/dev-python/termcolor/termcolor-1.1.0-r3.ebuild b/dev-python/termcolor/termcolor-1.1.0-r3.ebuild
deleted file mode 100644
index 55fe415c9116..000000000000
--- a/dev-python/termcolor/termcolor-1.1.0-r3.ebuild
+++ /dev/null
@@ -1,20 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="ANSI Color formatting for output in terminal"
-HOMEPAGE="https://pypi.org/project/termcolor/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
-
-# no tests...
-RESTRICT="test"